import * as $dara from '@darabonba/typescript';
export declare class UpdatePublishGraySwitchRequest extends $dara.Model {
    /**
     * @remarks
     * Specifies whether to enable the canary release feature. Valid values:
     *
     * *   **1**: enabled.
     * *   **0**: disabled.
     *
     * This parameter is required.
     *
     * @example
     * 1
     */
    graySwitchStatus?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
